Bug 417461 - xdvi - navigation with a space bar does not keep position
xdvi - navigation with a space bar does not keep position
Product: Fedora
Classification: Fedora
Component: xdvik (Show other bugs)
All Linux
low Severity medium
: ---
: ---
Assigned To: Jonathan Underwood
Fedora Extras Quality Assurance
Depends On:
  Show dependency treegraph
Reported: 2007-12-09 15:41 EST by Michal Jaegermann
Modified: 2008-02-25 19:28 EST (History)
2 users (show)

See Also:
Fixed In Version: 3.0-40.5.fc7
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Last Closed: 2008-02-15 21:06:51 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---

Attachments (Terms of Use)
updated "keepflag" patch for xdvik (2.73 KB, patch)
2008-01-18 16:17 EST, Michal Jaegermann
no flags Details | Diff

  None (edit)
Description Michal Jaegermann 2007-12-09 15:41:07 EST
Description of problem:

This is clone of a bug 231424 which was closed because tetex
is no longer in rawhide.  After component switching the problem
is still there.

Bug 168124 is back again.  Scrolling with Page-Up and Page-Down
does keep position on a page; unfortunately not only horizontal
but a vertical as well.  If one tries to read through a document
with a space bar then this is ok within one page.  The next
one jumps to the uppper-left corner.

To make things more interesting scrolling back with "Backspace"
key does keep a horizontal position but a vertical one as well,
i.e. it behaves as "Page Up".  I other words if you were at the
bottom on one page, and a screen was not big enough for a window
to show a full page,  you will end up at the bottom of the
previous page.  Reading a longer document requires then hitting,
in a proper sequence, "u" and "d" keys (which will not switch
pages) interspersed with "PageUp" and "PageDown" and a constant
position adjustments either vertically or horizontally.
Very annoying.

Version-Release number of selected component (if applicable):

How reproducible:

Steps to Reproduce:
Actual results:

Expected results:

Additional info:
Comment 1 Michal Jaegermann 2007-12-09 15:46:56 EST
Yes, I know that this bug is documented on 'man xdvi' under
a description of '-keep' flag.  Documenting a bug does not
convert it into a feature.
Comment 2 Jindrich Novy 2008-01-15 07:54:04 EST
Reassigning to xdvik, it's now packaged separately.
Comment 3 Jonathan Underwood 2008-01-15 15:51:12 EST
Please can you try the new rawhide package of xdvik and let us know if this
problem still exists - we have bumped to a new upstream version now (newer than
the previous one from texlive).
Comment 4 Michal Jaegermann 2008-01-15 18:08:33 EST
It is sort of funny then you ask me if the problem still exists while
it is enough to open in xdvi any file which displays more than one
page and see that for yourself.

Yes, this highly annoying behaviour is still there.  As I mentioned
previously - it is even documented: "This flag is only honoured by
the up() and down() actions, not by up-or-previous() and down-or-next()".

I guess that another flag is needed, say 'unbrokenKeep', which keeps
a horizontal position across up-or-previous() and down-or-next().
An interesting thing is that xdvi used to work that way until somebody
made "improvements".
Comment 5 Jonathan Underwood 2008-01-15 18:57:22 EST
Output of rpm -qa | grep xdvik please.
Comment 6 Jonathan Underwood 2008-01-15 19:58:40 EST
OK, I have confirmed the bug with the latest build (22.84.13-6), and understand
what you're saying now. This build included your patch from bug #168124 which
seems to not work. 

I did a scratch build without that patch, but still the behavior you describe
exists. If you wanted to try that, you can pull from here:


As I say, as far as I can tell, it behaves exactly the same. So, we need to dig
a little deeper.
Comment 7 Michal Jaegermann 2008-01-15 20:22:27 EST
> Output of rpm -qa | grep xdvik please.
There is no 'xvdik' package.
Comment 8 Jonathan Underwood 2008-01-15 20:27:51 EST
(In reply to comment #7)
> > Output of rpm -qa | grep xdvik please.
> xdvi-22.84.12-9.fc9
> There is no 'xvdik' package.

Yeah, there is - this is why I was asking. It's in rawhide, may not be on your
mirror yet tho. You can also pull from koji here:


(that's a build including your old patch).
Comment 9 Michal Jaegermann 2008-01-15 20:37:24 EST
> This build included your patch from bug #168124

That was from a while ago.  Apparently that code changed and
this does not help anymore.

Ah, I misunderstood.  I see now in koji, which is very reluctant
to respond, xdvik.  In today rawhide updates there was only
xdvi-22.84.12-9.fc9 as a subpackage of texlive-2007-9.fc9.

I will try to dig through sources when I will have a chance.
Comment 10 Michal Jaegermann 2008-01-18 14:57:57 EST
Hm, I tried to install packages listed in BuildRequires for xdvik.
So I did:
yum install --exclude='*.i?86' t1lib-devel Xaw3d-devel kpathsea-devel
That resulted in:
Loading mirror speeds from cached hostfile
 * development: download.fedora.redhat.com
No package t1lib-devel available.            <---!!
No package kpathsea-devel available.         <---!!
Resolving Dependencies
--> Running transaction check
---> Package Xaw3d-devel.x86_64 0:1.5E-10.1 set to be updated
--> Finished Dependency Resolution

'yum-builddep xdvik' for a change ends up with:
No such package(s): xdvik.src
or with:
No such package(s): xdvik-22.84.13-6.fc9.src
if you want to be more specific.  What gives?

Comment 11 Michal Jaegermann 2008-01-18 16:17:13 EST
Created attachment 292212 [details]
updated "keepflag" patch for xdvik

That turned out to be pretty trivial.  An old patch was for a code
hidden behind '#ifdef MOTIF ... #endif'.  A similar mod had to be done
on another branch as is clear that with current compilations MOTIF is
not defined.

An updated xdvik-22.84.13-keepflag.patch is attached.  It includes
also a proposed note for a manpage.  I am quite sure that the same
patch would work also for xdvi used in F7 and F8 distributions.
Comment 12 Jonathan Underwood 2008-01-18 20:02:29 EST
Thanks for looking at this Michal, very much appreciated - it was on my weekend
to do list, but hopefully I won't need to look at it now. 

I've just pushed a build with your new patch
(http://koji.fedoraproject.org/koji/taskinfo?taskID=358120) but the buildsystem
is going slow, and I desperately need sleep, and so will wait until tomorrow to
check if it has built ok and fixed the bug.
Comment 13 Michal Jaegermann 2008-01-19 16:09:35 EST
With xdvik-22.84.13-7.fc9 installed a page image does not jump around
anymore when "Spacebar" or "Backspace" keys are pressed.

When an opportunity present itself it would be nice to have that fixed
also for xdvi used with the current Fedora releases.
Comment 14 Jindrich Novy 2008-01-20 05:18:30 EST
I applied the updated patch in F8/F7 tetex as well.
Comment 15 Fedora Update System 2008-01-24 17:01:48 EST
tetex-3.0-40.5.fc7 has been pushed to the Fedora 7 testing repository.  If problems still persist, please make note of it in this bug report.
 If you want to test the update, you can install it with 
 su -c 'yum --enablerepo=updates-testing update tetex'
Comment 16 Fedora Update System 2008-02-15 21:06:43 EST
tetex-3.0-40.5.fc7 has been pushed to the Fedora 7 stable repository.  If problems still persist, please make note of it in this bug report.
Comment 17 Fedora Update System 2008-02-25 19:28:30 EST
tetex-3.0-44.8.fc8 has been pushed to the Fedora 8 stable repository.  If problems still persist, please make note of it in this bug report.

Note You need to log in before you can comment on or make changes to this bug.